{ ///Save As Template
	const Filename filename = GeGetStartupWritePath() + String("template.c4d");
	if(GeFExist(filename)){
		Filename tfn_ret = GeGetStartupWritePath() + "template_ret_0.c4d"; //GeGetTimer(); //TODO
		GeFCopyFile(filename,tfn_ret,GE_FCOPY_OVERWRITE);
	}
	BaseDocument *doc = GetActiveDocument();
	if(doc && SaveDocument(doc,filename,SAVEDOCUMENTFLAGS_0,FORMAT_C4DEXPORT))	{
		GePrint(filename.GetString() + " saved.");
	}else{
		GePrint(filename.GetString() + " NOT saved!");
	}
}